=== debian/changelog ===
liblqr (0.4.2-2) unstable; urgency=medium

  * [fea32719] Use debian source format 3.0 (quilt)
  * [4d8cb620] Run dh_autoreconf to support new architectures.
    Thanks to Breno Leitao (Closes: #757815)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 12 Aug 2014 01:12:02 +0200

liblqr (0.4.2-1) unstable; urgency=medium

  * [7038c1a1] Fixing watch file.
  * [0d1f2b1f] Merge tag 'upstream/0.4.2'
    Upstream version 0.4.2
  * [e1fd1c94] Manpages went missing in upstream source.
    Don't install them.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Aug 2014 11:41:12 +0200

liblqr (0.4.1-2) unstable; urgency=low

  * [72c1e4e5] Ack NMU.
    Thanks to Luk Claes (Closes: #619672)
  * [ad26247b] Multiarchify liblqr.
    Thanks to Helmut Grohne (Closes: #675909)
  * [599662ad] Remove Sandro from Uploaders. (Closes: #634183)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Jun 2012 18:40:42 +0200

liblqr (0.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #619672).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 18:30:44 +0200

liblqr (0.4.1-1) unstable; urgency=low

  * [fac8a658] Adding git-buildpackage configuration.
  * [3ed4d619] Imported Upstream version 0.4.1

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 May 2009 10:50:48 +0200

liblqr (0.4.0-1) unstable; urgency=low

  * [6ca66abd] Sanity check for the right soname in debian/rules.
  * [a9be65c1] Imported Upstream version 0.4.0
  * [553e2ae0] Updating symbols file.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 May 2009 17:32:33 +0200

liblqr (0.3.1-1) unstable; urgency=low

  * New Upstream Version
    This is a bugfix release. It fixes a serious bug with 16bit images
    (therefore, it is actually irrelevant to GIMP users, not so for other
    programs such as ImageMagick and DigiKam). 
  * debian/rules: Be pendantic about symbol changes.
  * debian/control:
    - Bump Standards-Version.
    - Move liblqr-1-0-dbg into the debug section. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Apr 2009 01:57:00 +0200

liblqr (0.3.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - updated my email address
    - bump Standards-Version to 3.8.0 (no changes needed)
  * debian/watch
    - updated to match new upstream tarball name

  [ Bernd Zeimetz ]
  * New upstream version.
  * debian/liblqr-1-0.symbols:
    - Updating symbols file to match the symbols in the updated library.
  * debian/copyright:
    - Linking to GPL-3 and adding 'Copyright' for the Debian packaging
      to make lintian happy.
  * debian/control:
    - Removing duplicate section entry.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Mar 2009 02:14:40 +0100

liblqr (0.2.0-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch:
    - Updating watch file to fit the new filename. 
  * debian/liblqr-1-0.symbols:
    - In the last version of the library several symbols were not marked as
      private by upstream, they are missing now. As the library is new and
      only used by one Gimp plugin now and the abi did not change for the
      plugin, there was no soname bump.
  * debian/rules:
    - Install manpages on build.
  * debian/liblqr-1-0-dev.manpages:
    - Adding file, instaaling devel manpages into the -dev package. 

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 17 Oct 2008 11:28:43 +0200

liblqr (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #483046)

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 01 Jun 2008 18:51:33 +0200
