=== debian/control ===
Source: liblqr
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8.1.3~), autotools-dev, xsltproc, docbook-xsl, docbook-xml, pkg-config, libglib2.0-dev (>= 2.0.0), dh-autoreconf
Standards-Version: 3.8.1
Section: libs
Homepage: http://liblqr.wikidot.com/
Vcs-Browser: http://git.recluse.de/?p=debian/pkg-liblqr.git;a=summary
Vcs-Git: git://git.recluse.de/debian/pkg-liblqr.git

Package: liblqr-1-0-dev
Section: libdevel
Architecture: any
Depends: liblqr-1-0 (= ${binary:Version})
Provides: liblqr-dev
Conflicts: liblqr-dev
Description: converts plain array images into multi-size representation (developments files)
 The LiquidRescale (lqr) library provides a C/C++ API for performing
 non-uniform resizing of images by the seam-carving technique.
 .
 The library takes images in plain array format as input and converts
 them to a multi-size representation.
 .
 Following is a list of features:
 .
   * Areas in the image can be marked for preservation or discard
   * Once the image has been fully processed, the scaling can be done
     in real-time. In fact, the information can be saved and read out
     later without any further processing
   * The resizing is done with a single function which automatically
     performs all the necessary operations; it can also work in
     successive steps without wasting computational time
   * Possibility to tune the carving operation by letting the seams be
     less connected, or more rigid, or both
   * Can export and import the visibility map (the seams)
   * Other images can be attached and undergo the same carving process
     as the parent image
   * The automatic feature detection algorithm can be tuned by
     selecting among different energy gradient functions
   * Reports progress through a customizable interface
   * A signalling system permits to cleanly handle errors
 .
 The library implements the algorithm described in the paper "Seam
 Carving for Content-Aware Image Resizing" by Shai Avidan and Ariel
 Shamir, which can be found at
 http://www.faculty.idc.ac.il/arik/imret.pdf
 .
 This package contains the development files.

Package: liblqr-1-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: multiarch-support
Description: converts plain array images into multi-size representation
 The LiquidRescale (lqr) library provides a C/C++ API for performing
 non-uniform resizing of images by the seam-carving technique.
 .
 The library takes images in plain array format as input and converts
 them to a multi-size representation.
 .
 Following is a list of features:
 .
   * Areas in the image can be marked for preservation or discard
   * Once the image has been fully processed, the scaling can be done
     in real-time. In fact, the information can be saved and read out
     later without any further processing
   * The resizing is done with a single function which automatically
     performs all the necessary operations; it can also work in
     successive steps without wasting computational time
   * Possibility to tune the carving operation by letting the seams be
     less connected, or more rigid, or both
   * Can export and import the visibility map (the seams)
   * Other images can be attached and undergo the same carving process
     as the parent image
   * The automatic feature detection algorithm can be tuned by
     selecting among different energy gradient functions
   * Reports progress through a customizable interface
   * A signalling system permits to cleanly handle errors
 .
 The library implements the algorithm described in the paper "Seam
 Carving for Content-Aware Image Resizing" by Shai Avidan and Ariel
 Shamir, which can be found at
 http://www.faculty.idc.ac.il/arik/imret.pdf
 .
 This package contains the shared library.

Package: liblqr-1-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblqr-1-0 (= ${binary:Version})
Description: converts plain array images into multi-size representation (debug package)
 The LiquidRescale (lqr) library provides a C/C++ API for performing
 non-uniform resizing of images by the seam-carving technique.
 .
 The library takes images in plain array format as input and converts
 them to a multi-size representation.
 .
 Following is a list of features:
 .
   * Areas in the image can be marked for preservation or discard
   * Once the image has been fully processed, the scaling can be done
     in real-time. In fact, the information can be saved and read out
     later without any further processing
   * The resizing is done with a single function which automatically
     performs all the necessary operations; it can also work in
     successive steps without wasting computational time
   * Possibility to tune the carving operation by letting the seams be
     less connected, or more rigid, or both
   * Can export and import the visibility map (the seams)
   * Other images can be attached and undergo the same carving process
     as the parent image
   * The automatic feature detection algorithm can be tuned by
     selecting among different energy gradient functions
   * Reports progress through a customizable interface
   * A signalling system permits to cleanly handle errors
 .
 The library implements the algorithm described in the paper "Seam
 Carving for Content-Aware Image Resizing" by Shai Avidan and Ariel
 Shamir, which can be found at
 http://www.faculty.idc.ac.il/arik/imret.pdf
 .
 This package contains the debug information of shared library found in
 liblqr-1-0.
