=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Package name
PACKAGE=liblqr-1-0


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

#library versions
LIB_version_number := $(shell grep '^libgps_la_LDFLAGS' Makefile.am | sed 's,.*-version-number ,,')
LIB_version_number := $(shell grep LTVERSION= configure | sed 's,.*LTVERSION=,,g')
LIB_version_current := $(shell echo $(LIB_version_number) | awk -F : '{print $$1}')
LIB_version_revision := $(shell echo $(LIB_version_number) | awk -F : '{print $$2}')
LIB_version_age := $(shell echo $(LIB_version_number) | awk -F : '{print $$3}')
LIB_soname := $(shell expr $(LIB_version_current) - $(LIB_version_age))
LIB_version := $(LIB_soname).$(LIB_version_age).$(LIB_version_revision)



config.status: configure
	dh_testdir
	dh_autoreconf
	./configure $(CROSS) --prefix=/usr CFLAGS="$(CFLAGS)" --libdir=/usr/lib/$(strip $(shell dpkg-architecture -qDEB_HOST_MULTIARCH))\
		LDFLAGS="-Wl,-z,defs" 

build: build-stamp
build-stamp: config.status 
	dh_testdir

	#sanity check to ensure we have the right soname in debian/control
	grep liblqr-1-$(LIB_soname) debian/control

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) -C docs all

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	$(MAKE) -C docs clean

	rm -rf docs/html

	# restore upstream version of config.{sub,guess}
	dh_autoreconf_clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	# we install all in debian/tmp, in $PKG.install we separate files
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs	ChangeLog
	dh_install		--sourcedir=debian/tmp -X.la --list-missing
	dh_installdocs
	dh_installexamples	examples/*
	dh_installman
	dh_strip		--dbg-package=$(PACKAGE)-dbg
	dh_compress
	dh_fixperms
	# needed to create shlibs file
	dh_makeshlibs -- -c4
	dh_installdeb
	dh_shlibdeps		-Lliblqr-1-0 -l$(CURDIR)/debian/$(PACKAGE)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
