=== debian/watch ===
version=3

http://liblqr.wikidot.com/en:download-page http://.*/liblqr-1-(.*)\.tar\.bz2
